
import AudioManager from "./audioManager.js";

// Audio manager class for handling audio playback.
let audioManager = null;

let footstepsArr = ['footstepsAudio1', 'footstepsAudio2', 'footstepsAudio3', 'footstepsAudio4', 'footstepsAudio5', 'footstepsAudio6'];

runOnStartup(async runtime =>
{
	// Initialise the audio manager. See AudioManager.js for details.
	audioManager = new AudioManager(runtime);
	
	// During the loading screen, load both sound files as
	// AudioBuffers and the music track all in parallel, so
	// they are ready for immediate playback on startup.
	//[footstepsAudio1, footstepsAudio2, footstepsAudio3] = await Promise.all([
	footstepsArr = await Promise.all([
		audioManager.loadSound("footsteps_concrete-001.webm"),
		audioManager.loadSound("footsteps_concrete-002.webm"),
		audioManager.loadSound("footsteps_concrete-003.webm"),
		audioManager.loadSound("footsteps_concrete-004.webm"),
		audioManager.loadSound("footsteps_concrete-005.webm"),
		audioManager.loadSound("footsteps_concrete-006.webm")
	]);
});


// These functions are called by the button click events.
export function PlayFootsteps()
{
	// sets a random value for the footstepsArr array 
	const randomInteger = Math.floor(Math.random() * 6);
	
	//	sets random pitch float in range
	const minR = 0.75;
	const maxR = 1.25;
	const offsetR = 0.25;
	const randomPitch = (Math.random()*(maxR - minR + offsetR) + maxR);
	
//playSound(audioBuffer, delayStartTime, attack, decay, playSpeed, resample_by)
	audioManager.playSound(footstepsArr[randomInteger], 0, 0, 2, randomPitch, 1);
	console.log(randomPitch);
	
	
	
}


